# Separated plugins are supported on x86(64) only
%ifarch i386 i686 x86_64
%define separated_plugins 1
%else
%define separated_plugins 0
%endif

# Minimal required versions
%define nspr_version 4.8
%define nss_version 3.12.8
%define cairo_version 1.6.0
%define freetype_version 2.1.9
%define sqlite_version 3.6.16
%define notify_version 0.7.0
%define tarballdir mozilla-release
# build crash reporter only on x86/x86_64 for now
%ifarch %{ix86} x86_64
%define enable_mozilla_crashreporter       0
%else
%define enable_mozilla_crashreporter       0
%endif

# The actual sqlite version (see #480989):
%global sqlite_build_version %(pkg-config --silence-errors --modversion sqlite3 2>/dev/null || echo 65536)

%define version_internal  5
%define mozappdir         %{_libdir}/%{name}-%{version_internal}
%define beta 
%define relc 

Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de>

Summary:        XUL Runtime for Gecko Applications
Name:           xulrunner
Version:        5.0
Release:        1
BuildArch:	i686
URL:            http://www.mozilla.org/projects/xulrunner/
License:        MPLv1.1 or GPLv2+ or LGPLv2+
Group:          Internet
Source0:        xulrunner-%{version}%{?beta:b%{beta}}%{?relc:rc%{relc}}.source.tar.bz2

Source200:       %{name}-mozconfig
Source201:       %{name}-mozconfig-debuginfo
Source202:       %{name}-ccux-default-prefs.js
Source203:       %{name}.sh.in

Patch0:         xulrunner-version.patch
Patch1:         mozilla-build.patch
Patch3:         firefox4-jemalloc.patch
Patch9:         mozilla-build-sbrk.patch
Patch11:        mozilla-malloc.patch
Patch12:        xulrunner-2.0-64bit-big-endian.patch
Patch13:        xulrunner-2.0-secondary-jit.patch
Patch14:        xulrunner-2.0-chromium-types.patch
Patch20:        mozilla-193-pkgconfig.patch
Patch23:        wmclass.patch
Patch24:        crashreporter-remove-static.patch
Patch100:       mozilla-ps-pdf-simplify-operators.patch
Patch101:	xulrunner-5.0-fix-host-bz2-compilation.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArch:	i686

#Manually build requires
BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
BuildRequires:  cairo-devel >= %{cairo_version}
BuildRequires:  libpng-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  krb5-devel
BuildRequires:  curl-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkg-config
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libffi-devel
BuildRequires:  yasm-devel
BuildRequires:  startup-notification-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
#BuildRequires: firefox
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel >= 2.21.6
BuildRequires: gtk2+
BuildRequires: hunspell-devel
BuildRequires: lcms-devel
BuildRequires: libbonobo-devel
BuildRequires: libgcc
BuildRequires: libgnome-devel
BuildRequires: libIDL-devel
BuildRequires: libjpeg-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: nspr-devel
BuildRequires: nss-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel

BuildRequires: wireless-tools-devel
BuildRequires: libnotify-devel

Requires:       nspr >= %{nspr_version}
Requires:       nss >= %{nss_version}
Provides:       gecko-libs = %{version}

# GRE stuff
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64.conf
%else
%define gre_conf_file gre.conf
%endif

# Library path
%ifarch x86_64 ia64 ppc64 s390x
%define ld_conf_file xulrunner-64.conf
%else
%define ld_conf_file xulrunner-32.conf
%endif

%description
XULRunner provides the XUL Runtime environment for Gecko applications.

%package	devel
Summary:	Development files for Gecko
Group:		Development/Libraries
Requires:	xulrunner = %{version}-%{release}
Requires:	nspr-devel >= %{nspr_version}
Requires:	nss-devel >= %{nss_version}
Provides:	gecko-devel = %{version}

Obsoletes:	mozilla-devel
Obsoletes:	firefox-devel < 2.1

%description	devel
Gecko development files.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf ${MOZ_APP_DIR}/components
fi

%prep
%setup -q -c
cd %{tarballdir}

sed -e 's/__RPM_VERSION_INTERNAL__/%{version_internal}/' %{P:%%PATCH0} \
    > version.patch
%{__patch} -p1 -b --suffix .version --fuzz=0 < version.patch

%patch1  -p2 -b .build
%patch3  -p1 -b .jemalloc
%patch9  -p2 -b .sbrk
%patch11 -p2 -b .malloc
%patch12 -p2 -b .64bit-big-endian
%patch13 -p2 -b .secondary-jit
%patch14 -p2 -b .chromium-types

%patch20 -p2 -b .pk
%patch23 -p1 -b .wmclass
%patch24 -p1 -b .static

#%patch100 -p1 -b .ps-pdf-simplify-operators
%patch101 -p1 -b .fix-host-bz2-compile

%{__rm} -f .mozconfig
%{__cp} %{SOURCE200} .mozconfig
%if %{enable_mozilla_crashreporter}
%{__cat} %{SOURCE201} >> .mozconfig
%endif

%if !%{?separated_plugins}
echo "ac_add_options --disable-ipc" >> .mozconfig
%endif

%build
# Do not proceed with build if the sqlite require would be broken:
# make sure the minimum requirement is non-empty, ...
sqlite_version=$(expr "%{sqlite_version}" : '\([0-9]*\.\)[0-9]*\.') || exit 1
# ... and that major number of the computed build-time version matches:
case "%{sqlite_build_version}" in
  "$sqlite_version"*) ;;
  *) exit 1 ;;
esac

cd %{tarballdir}

INTERNAL_GECKO=%{version_internal}
MOZ_APP_DIR=%{_libdir}/%{name}-${INTERNAL_GECKO}

# Mozilla builds with -Wall with exception of a few warnings which show up
# everywhere in the code; so, don't override that.
# and disable C++ exceptions
export MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-Wall//' | %{__sed} -e 's/-fexceptions/-fno-exceptions/g')
export CFLAGS=$MOZ_OPT_FLAGS
export CXXFLAGS=$MOZ_OPT_FLAGS

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

MOZ_SMP_FLAGS=-j1
%ifnarch ppc ppc64 s390 s390x
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -gt 1 ] && MOZ_SMP_FLAGS=-j2
%endif

export LDFLAGS="-Wl,-rpath,${MOZ_APP_DIR}"
make -f client.mk build STRIP="/bin/true" MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS" MOZ_SERVICES_SYNC="1" PYTHON="/usr/bin/python2.6"

# create debuginfo for crash-stats.mozilla.com
%if %{enable_mozilla_crashreporter}
#cd %{moz_objdir}
make buildsymbols
%endif

%install
cd %{tarballdir}
%{__rm} -rf $RPM_BUILD_ROOT

INTERNAL_GECKO=%{version_internal}

INTERNAL_APP_NAME=%{name}-${INTERNAL_GECKO}
MOZ_APP_DIR=%{_libdir}/${INTERNAL_APP_NAME}

INTERNAL_APP_SDK_NAME=%{name}-sdk-${INTERNAL_GECKO}
MOZ_APP_SDK_DIR=%{_libdir}/${INTERNAL_APP_SDK_NAME}

DESTDIR=$RPM_BUILD_ROOT make install

%{__mkdir_p} $RPM_BUILD_ROOT/${MOZ_APP_DIR} \
             $RPM_BUILD_ROOT%{_datadir}/idl/${INTERNAL_APP_SDK_NAME} \
             $RPM_BUILD_ROOT%{_includedir}/${INTERNAL_APP_SDK_NAME}
%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

# set up our default preferences
%{__cat} %{SOURCE202} | %{__sed} -e 's,RPM_VERREL,%{version}-%{release},g' > cc-default-prefs
%{__install} -p -D -m 644 cc-default-prefs $RPM_BUILD_ROOT/${MOZ_APP_DIR}/defaults/pref/all-ccux.js
%{__rm} cc-default-prefs

# Start script install
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__cat} %{SOURCE203} | %{__sed} -e 's,XULRUNNER_VERSION,%{version_internal},g' > \
  $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%{__rm} -f $RPM_BUILD_ROOT${MOZ_APP_DIR}/%{name}-config

cd $RPM_BUILD_ROOT${MOZ_APP_DIR}/chrome
find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
cd -

# Prepare our devel package
%{__mkdir_p} $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/idl/${INTERNAL_APP_SDK_NAME}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

%{__cp} -rL dist/include/* \
  $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}

# Copy pc files (for compatibility with 1.9.1)
%{__cp} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul.pc \
        $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-unstable.pc
%{__cp} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-embedding.pc \
        $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libxul-embedding-unstable.pc

# Fix multilib devel conflicts...
%ifarch x86_64 ia64 s390x ppc64
%define mozbits 64
%else
%define mozbits 32
%endif

function install_file() {
genheader=$*
mv ${genheader}.h ${genheader}%{mozbits}.h
cat > ${genheader}.h << EOF
/* This file exists to fix multilib conflicts */
#if defined(__x86_64__) || defined(__ia64__) || defined(__s390x__) || defined(__powerpc64__)
#include "${genheader}64.h"
#else
#include "${genheader}32.h"
#endif
EOF
}

pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
install_file "mozilla-config"
popd

pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
install_file "jsautocfg"
popd

pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
install_file "js-config"
popd

%{__install} -p -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/${MOZ_APP_DIR}

%{__rm} -rf $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_NAME}
%{__rm} -rf $RPM_BUILD_ROOT/%{_datadir}/idl/${INTERNAL_APP_NAME}

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/include
ln -s  %{_includedir}/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/include

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/idl
ln -s  %{_datadir}/idl/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/idl

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/include
ln -s  %{_includedir}/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/include

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/idl
ln -s  %{_datadir}/idl/${INTERNAL_APP_SDK_NAME} \
       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/idl

find $RPM_BUILD_ROOT/%{_includedir} -type f -name "*.h" | xargs chmod 644
find $RPM_BUILD_ROOT/%{_datadir}/idl -type f -name "*.idl" | xargs chmod 644

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/lib/*.so
pushd $RPM_BUILD_ROOT${MOZ_APP_DIR}
for i in *.so; do
    ln -s ${MOZ_APP_DIR}/$i $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/lib/$i
done
popd

# GRE stuff
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64.conf
%else
%define gre_conf_file gre.conf
%endif

MOZILLA_GECKO_VERSION=`./config/milestone.pl --topsrcdir=.`
#ls $RPM_BUILD_ROOT/etc/gre.d/
#%{__mv} $RPM_BUILD_ROOT/etc/gre.d/$MOZILLA_GECKO_VERSION".system.conf" \
#        $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}
#chmod 644 $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}

# Library path
%ifarch x86_64 ia64 ppc64 s390x
%define ld_conf_file xulrunner-64.conf
%else
%define ld_conf_file xulrunner-32.conf
%endif

%{__mkdir_p} $RPM_BUILD_ROOT/etc/ld.so.conf.d
%{__cat} > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%{ld_conf_file} << EOF
${MOZ_APP_DIR}
EOF

# Copy over the LICENSE
%{__install} -p -c -m 644 LICENSE $RPM_BUILD_ROOT${MOZ_APP_DIR}

# Use the system hunspell dictionaries
%{__rm} -rf ${RPM_BUILD_ROOT}${MOZ_APP_DIR}/dictionaries
ln -s %{_datadir}/myspell ${RPM_BUILD_ROOT}${MOZ_APP_DIR}/dictionaries

# ghost files
%{__mkdir_p} $RPM_BUILD_ROOT${MOZ_APP_DIR}/components
touch $RPM_BUILD_ROOT${MOZ_APP_DIR}/components/compreg.dat
touch $RPM_BUILD_ROOT${MOZ_APP_DIR}/components/xpti.dat

# Add debuginfo for crash-stats.mozilla.com 
%if %{enable_mozilla_crashreporter}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/debug%{mozappdir}
cp dist/%{name}-%{version}.en-US.linux-*.crashreporter-symbols.zip $RPM_BUILD_ROOT/%{_libdir}/debug%{mozappdir}
#cp %{moz_objdir}/mozilla/dist/firefox-%{version}.en-US.linux-i686.crashreporter-symbols.zip $RPM_BUILD_ROOT%{_libdir}/debug%{mozappdir}
%endif

%files
%defattr(-,root,root,-)
%{_bindir}/xulrunner
#%dir /etc/gre.d
#/etc/gre.d/%{gre_conf_file}
%dir %{mozappdir}
%doc %attr(644, root, root) %{mozappdir}/LICENSE
%doc %attr(644, root, root) %{mozappdir}/README.txt
%{mozappdir}/chrome
%{mozappdir}/chrome.manifest
%{mozappdir}/dictionaries
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%{mozappdir}/components/*.manifest
%attr(644, root, root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
%dir %{mozappdir}/icons
%attr(644, root, root) %{mozappdir}/icons/*
%{mozappdir}/modules
%{mozappdir}/plugins
%{mozappdir}/res
%{mozappdir}/*.so
%{mozappdir}/mozilla-xremote-client
%{mozappdir}/run-mozilla.sh
%{mozappdir}/xulrunner
%{mozappdir}/xulrunner-bin
%{mozappdir}/xulrunner-stub
%{mozappdir}/platform.ini
%{mozappdir}/dependentlibs.list
%{mozappdir}/greprefs.js
%{_sysconfdir}/ld.so.conf.d/xulrunner*.conf
%if %{?separated_plugins}
%{mozappdir}/plugin-container
%endif

# XXX See if these are needed still
%{mozappdir}/updater*
%exclude %{mozappdir}/update.locale

%if %{enable_mozilla_crashreporter}
%{mozappdir}/crashreporter
%{mozappdir}/crashreporter.ini
%{mozappdir}/Throbber-small.gif
%endif

   /usr/lib/pkgconfig/mozilla-nspr.pc
   /usr/lib/pkgconfig/mozilla-nss.pc
#   /usr/lib/xulrunner-2/nspr-config
   /usr/lib/xulrunner-5/libfreebl3.chk
   /usr/lib/xulrunner-5/libnssdbm3.chk
   /usr/lib/xulrunner-5/libsoftokn3.chk

%files devel
%defattr(-,root,root,-)
%{_datadir}/idl/%{name}*%{version_internal}
%{_includedir}/%{name}*%{version_internal}
%{_libdir}/%{name}-sdk-*/
%{_pkgconfig}/libxul-embedding.pc
%{_pkgconfig}/libxul.pc
%{_pkgconfig}/libxul-embedding-unstable.pc
%{_pkgconfig}/libxul-unstable.pc
%{_pkgconfig}/mozilla-gtkmozembed-embedding.pc
%{_pkgconfig}/mozilla-gtkmozembed.pc
%{_pkgconfig}/mozilla-js.pc
%{_pkgconfig}/mozilla-plugin.pc
%{mozappdir}/xpcshell
%{mozappdir}/xpidl
%{mozappdir}/xpt_dump
%{mozappdir}/xpt_link

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 27 2011 Karsten Brockmann <arcam@ccux-linux.de> 5.0-1
- Version Update
* Wed Mar 23 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.0-7
- final release
- regular package branch
* Wed Mar 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.0-6
- rc1
* Sun Feb 27 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.0-5
- beta12
* Tue Jan 25 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.0-4
- beta10
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.0-3
- beta9
* Sat Dec 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0-2
- beta8
* Mon Oct 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- Version update, beta6
- experimental package branch
* Wed Sep 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2.10-1
- Version update
* Mon Sep 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2.9-1
- Version update
* Sat Aug 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2.8-2
- rebuilt against libpng 1.4.3
* Sun Aug 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2.8-1
- Version update
* Tue Jul 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2.6-1
- Version update
* Tue Feb 16 2010 Christian Metzen <metzench@ccux-linux.de> 1.9.2.1-2
- readd devel-unstable files for compat to 1.9.1
* Tue Jan 26 2010 Christian Metzen <metzench@ccux-linux.de> 1.9.2.1-1
- Version update to final release
- should fix ff3.6 issues
* Thu Jan 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2-2
- reconfigured to fix stability issue with Javascript
* Thu Jan 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2-2
- Version update
- rc 1
* Thu Nov 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.2-1
- Version update
- beta 1
* Fri Nov 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.1.4-1
- Version update
* Tue Oct 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.1.3-1
- Version update
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.1-4
- source from firefox 3.5.2
- switched to cairo-qt4 backend
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.1-3
- version update 1.9.1
- built against libjpeg 7
* Sat Jun 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.1-2
- rc2
* Thu May 28 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.1-1
- Version update
- beta 4
* Thu Mar 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0.7-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0.6-1
- Version update
- temporarily disabled system-hunspell support
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.0.5-1
- Version update
- updated pkgconfig patch to include nspr, neccessary for some packages
* Mon Dec 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.9.0.4-1
- Version update
* Thu Sep 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0.2-3
- workaround for FS BUG #28 : add extensions dir
* Sun Aug 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0.1-2
- removed pre suffix (FS BUG #28)
- added openldap support (needed for Openoffice)
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0.1-1
- version update
* Thu Jun 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9-5
- final version
* Sun Jun 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9-4
- cvs 20080604 / 1.9rc2
* Sat May 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9-3
- cvs 20080516 for firefox 3.0 rc1
* Sat Apr 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9-2
- rebuilt against hunspell 1.2.2b
* Wed Apr 02 2008 Christian Wasem <wasem@ccux-linux.de> 1.9-1
- Initial release
